
-- Specialization for Moro Ago-Modding 
-- @author Ago-Modding ( www.modhoster.de   FB: www.facebook.com/ago.systemtech );
-- @date          12/06/2017;

Moro = {};

function Moro.prerequisitesPresent(specializations)
    return true;
end;
function Moro:load(savegame)
    self.entroSolco = SpecializationUtil.callSpecializationsFunction("entroSolco"); 
     self.animation = {};
    self.animation.animCharSet = 0;
    self.animationEnabled = false;

    local rootNode = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.animation#rootNode"));
end;
function Moro:delete()
end;
function Moro:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Moro:keyEvent(unicode, sym, modifier, isDown)
end;
function Moro:readStream(streamId, connection)
end;
function Moro:writeStream(streamId, connection)
end;
function Moro:readUpdateStream(streamId, timestamp, connection)
end;
function Moro:writeUpdateStream(streamId, connection, dirtyMask)
end;
function Moro:update(dt)
    if self:getIsActiveForInput() and self:getToggledFoldDirection() > 0 and self.foldAnimTime == 0 then 
        if InputBinding.hasEvent(InputBinding.IMPLEMENT_EXTRA4) then
            if self:getRealAnimationTime("Solco") > 750 then
                self:playAnimation("Solco", -1, nil);
            elseif self:getRealAnimationTime("Solco") < 750 then
                self:playAnimation("Solco", 1, nil);
            end;
        end;
    end;
end;
function Moro:updateTick(dt)
end;
function Moro:draw()
        if self:getIsActiveForInput() then
		if self:getRealAnimationTime("Solco") > 0 then
            g_currentMission:addHelpButtonText(g_i18n:getText("ENTROSOLCO_ON"), InputBinding.IMPLEMENT_EXTRA4);
        else
            g_currentMission:addHelpButtonText(g_i18n:getText("ENTROSOLCO_OFF"), InputBinding.IMPLEMENT_EXTRA4);
        end;

		end;
end;
function Moro:onDeactivate()
end;
function Moro:onLeave()
end;
function Moro:onDetach()
end;
function Moro:onAttach()
end;


